### TechNote

Number:06614-01
Date:April 1994

## Smart II Software: ODI parameters

### 1 Introduction

This document describes the parameters that affect the operation of the ODI interface on a particular Ringnode in your workstation. For information about enabling the Smart II Software interfaces and using a SMART.CFG file, see TechNote 06608.

If you are using SMART.CFG to configure your Smart II Software, then you must place all of the ODI parameters in the [ODI] section.

The example below displays part of a SMART.CFG containing some ODI parameters.

    [HOST]                              ; Host parameters here.
    [CARD]                              ; First card section.
         [ODI]                          ; Install the ODI interface.
         frame = token-ring
         protocol = ipx e0 token-ring
         [CARD]                         ; Second card section.
         io=1a20                        ; I/O location is 1a20.
         [LLC]                          ; Install the LLC interface.

Note

If you are using ODI.SMT, you must run SMART.EXE from the AUTOEXEC.BAT file. This is to ensure that LSL.COM loads first.

The table below contains a list of all the ODI parameters. Some parameters can only be used in NET.CFG and some in SMART.CFG. Section 2 describes all the ODI parameters and tells you which ones you can use in a SMART.CFG file, and which you can use in a NET.CFG file. For those parameters that you can specify in either file, ensure that you specify them in one or the other file, not both.

    Parameter                Abbreviation   SMART.CFG or NET.CFG

    FRAME                                   EITHER
    PROTOCOL                                EITHER
    PORT                     net.cfg
    SLOT                     net.cfg
    NODE ADDRESS             net.cfg
    ODI.NSUP                 smart.cfg
    ODI.SOURCE.ROUTING       odi.sr         smart.cfg
    ODI.GENERAL.BROADCAST    odi.gbr        smart.cfg
    ODI.MULTI.BROADCAST      odi.mbr        smart.cfg
    ODI.DEFAULT.BROADCAST    odi.def        smart.cfg
    ODI.SOURCE.ROUTE.NODES   odi.nodes      smart.cfg
    ODI.CACHE.TIMEOUT        odi.time       smart.cfg
    ODI.THIS.RING.ONLY       odi.tro        smart.cfg
    ODI.THIS.RING.ALT        odi.tra        smart.cfg

If you are configuring your Smart II Software from the command line then any ODI parameter which can be used in the [ODI] section of SMART.CFG can be used on the command line. The ODI parameters can appear anywhere in the command line. However, we recommend that you put them together. A sample command line which enables an ODI interface and configures it to receive standard token-ring frames as well as SNAP frames, is shown below.

`Example: SMART ODI FRAME=TOKEN-RING FRAME=TOKEN-RING_SNAP`

Note

The PORT and NODE.ADDRESS parameters of NET.CFG override IO.LOCATION and NODE.ADDRESS, respectively, in the [CARD] section of your SMART.CFG file.

### 2 Specifying ODI parameters

Section 2.1 describes the ODI parameters you can use in a NET.CFG file. Section 2.2 describes the ODI parameters you can use in a SMART.CFG file. Configure your ODI interface from SMART.CFG or NET.CFG, but not both. The examples below show equivalent configurations for two Ringnodes, using SMART.CFG or NET.CFG.

    [HOST]                               ; Host parameters here.
    [CARD]                               ; First Card section.
         [ODI]                           ; Install an ODI interface.
         FRAME = token-ring
         PROTOCOL = ipx e0 token-ring
         [CARD]                          ; Second Card section.
         [ODI]                           ; Install an ODI interface.
         FRAME = token-ring_snap

Sample SMART.CFG file

    LINK DRIVER SMART
    FRAME TOKEN-RING
    PROTOCOL IPX E0 TOKEN-RING
    LINK DRIVER SMART
    FRAME TOKEN-RING_SNAP

Sample NET.CFG file

Note that, if you are using NET.CFG, you can enable ODI either from a SMART.CFG file like that shown in the example below, or from the command line. Your SMART.CFG file needs to contain an [ODI] section that is empty except, if necessary, for the ODI.NSUP parameter (see Section 2.2).

The example below contains only one [CARD] and [ODI] section. If you want to enable ODI on two Ringnodes you must include two link driver smart sections in your NET.CFG file.

    [HOST]
    [CARD]
         [ODI]

Sample SMART.CFG file for use in conjunction with NET.CFG

If you are not using a SMART.CFG file, enable ODI from the command line. For example:

`SMART ODI`

To enable ODI on two Ringnodes, include two link driver smart sections in your NET.CFG file.

#### 2.1 NET.CFG parameters

This subsection describes the parameters you can use in the link driver smart section of your NET.CFG file. For further information about configuring Smart ODI from NET.CFG, see TechNote 06619.

PORT
  Specifies the location in PC memory at which ODI looks for a Ringnode. The function of PORT is like that of the IO.LOCATION parameter in the [CARD] section of the SMART.CFG file (see TechNote 06610).

  Don't put an '=' sign after PORT in NET.CFG.

  Range: Any valid IO location
  Default: (none)
  Abbreviation: (none)
  Example: `PORT 3A20`

SLOT
  Specifies the slot that your Ringnode is plugged into in your PC. The function of SLOT is like that of the SLOT parameter which you can use in the [CARD] section of your SMART.CFG file (see TechNote 06610).

  Don't put an '=' sign after SLOT in NET.CFG.

  Range: Any valid slot number Default: (none) Abbreviation: (none) Example: `SLOT 3`

NODE ADDRESS
  The node address parameter allows you to specify the 6-byte node address to be used by the Ringnode. If you omit this parameter, the Ringnode uses its unique burnt-in node address. We recommend the burnt-in address whenever possible. You can specify this parameter in the [CARD] section of your SMART.CFG file instead (see TechNote 06610). You can use any valid hexadecimal number in the range 400000000000 to 7FFFFFFFFFFF.

  Ensure that every adapter in your network has a different node address.

  Range: 400000000000 - 7FFFFFFFFFFF Default: burnt-in address of Ringnode Abbreviation: (none) Example: `NODE ADDRESS 400012345678`

FRAME
  Specifies the type or types of frame that your Ringnode supports. You can configure the Ringnode to support standard token-ring frames, or frames that include an additional SNAP header, or both types of frame.

  If you intend to run TCP/IP on top of ODI then you must use SNAP frames.

  Range: TOKEN-RING or TOKEN-RING_SNAP
  Default: TOKEN-RING
  Abbreviation: (none)
  Example: `FRAME TOKEN-RING`

PROTOCOL
  Specifies the protocol or protocols that you intend to run on top of ODI. If you are going to run TCP/IP on top of ODI then you do not need to use the PROTOCOL parameter.

  Default: PROTOCOL IPX E0 TOKEN-RING

#### 2.2 SMART.CFG paramete

rs This subsection describes the parameters you can use in the [ODI] section of your SMART.CFG file or on the command line.

FRAME
  Specifies the type or types of frame that your Ringnode supports. You can configure the Ringnode to support standard token-ring frames, or frames that include an additional SNAP header, or both types of frame.

  This parameter is the same as the FRAME parameter in NET.CFG (see Section 2.1 above). The only difference is that in SMART.CFG, FRAME must be followed by an '=' sign.

  If you intend to run TCP/IP on top of ODI then you must use SNAP frames. Range: TOKEN-RING or TOKEN-RING_SNAP
  Default: TOKEN-RING
  Abbreviation: (none)
  Example: `FRAME=TOKEN-RING`

PROTOCOL
  Specifies the protocol or protocols that you intend to run on top of ODI. If you are going to run TCP/IP on top of ODI then you do not need to use the PROTOCOL parameter.

  This parameter is the same as the PROTOCOL parameter in NET.CFG (see Section 2.1 above). The only difference is that in SMART.CFG, PROTOCOL must be followed by an '=' sign.

  Default: PROTOCOL=IPX E0 TOKEN-RING

ODI.NSUP
  Tells the Smart II Software that you intend to run ODINSUP on top of Smart ODI.

  Range: YES, Y, NO or N
  Default: NO
  Abbreviation: (none)
  Example: `ODI.NSUP=YES`

ODI.SOURCE.ROUTING
  Enables source routing. If you need to operate across IBM- compatible source-routing bridges, set this parameter to YES. If you have no bridges on your network, or only NetWare IPX routers, set this parameter to NO (the default). Only use this parameter if you have enabled source routing for all the servers you are using.

  Range: YES, Y, NO or N Default: NO Abbreviation: ODI.SR Example: `ODI.SR=Y`

  The ODI.SOURCE.ROUTING parameter replaces Novell's ROUTE.COM program. If you enable source routing, seven additional parameters are available:

  - ODI.DEFAULT.BROADCAST
  - ODI.GENERAL.BROADCAST
  - ODI.MULTICAST.BROADCAST
  - ODI.SOURCE.ROUTE.NODES
  - ODI.CACHE.TIMEOUT
  - ODI.THIS.RING.ONLY
  - ODI.THIS.RING.ALT

  ODI.DEFAULT.BROADCAST
    Ensures that all broadcasts used to determine the route to unknown addresses (addresses that are not in the workstation's source-routing table) are sent as all-route broadcasts. If you do not specify ODI.DEFAULT.BROADCAST, broadcasts to unknown addresses are sent as single-route broadcasts. This parameter is similar to the DEF parameter of ROUTE.COM. It only applies if you enable source routing.

    Abbreviation: ODI.DEF

  ODI.GENERAL.BROADCAST
    Ensures that all general broadcasts are sent as all-route broadcasts. If you do not use ODI.GENERAL.BROADCAST, general broadcasts are sent as single-route broadcasts. This parameter is similar to the GBR parameter of ROUTE.COM. It only applies if you enable source routing.

    Abbreviation: ODI.GBR

  ODI.MULTICAST.BROADCAST
    Allows multicast broadcasts to be sent as all-route broadcasts. By default, multicast broadcasts are sent as single-route broadcasts. This parameter is similar to the MBR parameter of ROUTE.COM. It only applies if you enable source routing.

    Abbreviation: ODI.MBR

  ODI.SOURCE.ROUTE.NODES
    Defines the size of the source-routing table maintained by ODI. This parameter is similar to the NODES parameter of ROUTE.COM.

    Range: 8 - 255 Default: 8 (or 0 if you do not enable source routing) Abbreviation: ODI.NODES Example: `ODI.NODES=20`

  ODI.CACHE.TIMEOUT
    This is the time that a source-routing cache entry remains valid. The source routing information used to route to a known node does not change for this length of time (in seconds). The default value of 10 gives a timeout of 10 seconds.

    If you set ODI.CACHE.TIMEOUT to zero, the source-routing cache entry lasts about 8 hours.

    Range: 0 - 255
    Default: 10
    Abbreviation: ODI.TIME
    Example: `ODI.TIME=20`

  ODI.THIS.RING.ALT
    This is the number of times a frame to an unknown address is sent (alternately) with and without broadcast, before broadcast alone is used to reach remote rings.

    Range: 0 - 255
    Default: 0
    Abbreviation: ODI.TRA
    Example: `ODI.TRA=10`

  ODI.THIS.RING.ONLY
    This is the number of times a frame to an unknown address is sent onto the local ring before a broadcast is used to reach remote rings.

    Range: 0 - 255
    Default: 0
    Abbreviation: ODI.TRO
    Example: `ODI.TRO=10`